Subject: bug#43004: 28.0.50; Test failures due to symlinked Emacs sources

From: Dmitry Gutov <[email-masked]>
Date: Sat, 31 Oct 2020 03:39:12 +0200

On 30.10.2020 23:26, Stephen Berman wrote:
> That's what I did in my patch in<[email-masked]>
> (https://debbugs.gnu.org/cgi/bugreport.cgi?msg=11;att=1;bug=43004) and
> initially concluded that with that patch "I now get no unexpected
> failures when running the tests in batch mode, though when run
> interactively xref-elisp-test-find-defs-defgeneric-implicit-generic
> still fails."

But looking at that patch, you moved some of the 'file-truename' calls, 
at least, down inside the test definitions, to produce the "expected" 
values.

What happens if you just remove that 'file-truename' call without adding 
it somewhere else?